# Uses of Class
java.text.AttributedCharacterIterator.Attribute

Packages that use AttributedCharacterIterator.Attribute
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.font
Provides classes and interface relating to fonts.
java.awt.im
Provides classes and interfaces for the input method framework.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

- ## Uses of AttributedCharacterIterator.Attribute in java.awt

  Methods in java.awt that return AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `AttributedCharacterIterator.Attribute[]`
  Font.`getAvailableAttributes()`
  Returns the keys of all the attributes supported by this `Font`.
  Method parameters in java.awt with type arguments of type AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `Font`
  Font.`deriveFont(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)`
  Creates a new `Font` object by replicating the current `Font` object and applying a new set of font attributes to it.
  `static Font`
  Font.`getFont(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)`
  Returns a `Font` appropriate to the attributes.
  Constructor parameters in java.awt with type arguments of type AttributedCharacterIterator.Attribute
  Modifier
  Constructor
  Description
  ``
  `Font(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)`
  Creates a new `Font` with the specified attributes.

- ## Uses of AttributedCharacterIterator.Attribute in java.awt.font

  Subclasses of AttributedCharacterIterator.Attribute in java.awt.font
  Modifier and Type
  Class
  Description
  `final class`
  `TextAttribute`
  The `TextAttribute` class defines attribute keys and attribute values used for text rendering.
  Constructor parameters in java.awt.font with type arguments of type AttributedCharacterIterator.Attribute
  Modifier
  Constructor
  Description
  ``
  `TextLayout(String string, Map<? extends AttributedCharacterIterator.Attribute, ?> attributes, FontRenderContext frc)`
  Constructs a `TextLayout` from a `String` and an attribute set.

- ## Uses of AttributedCharacterIterator.Attribute in java.awt.im

  Methods in java.awt.im with parameters of type AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `AttributedCharacterIterator`
  InputMethodRequests.`cancelLatestCommittedText(AttributedCharacterIterator.Attribute[] attributes)`
  Gets the latest committed text from the text editing component and removes it from the component's text body.
  `AttributedCharacterIterator`
  InputMethodRequests.`getCommittedText(int beginIndex, int endIndex, AttributedCharacterIterator.Attribute[] attributes)`
  Gets an iterator providing access to the entire text and attributes contained in the text editing component except for uncommitted text.
  `AttributedCharacterIterator`
  InputMethodRequests.`getSelectedText(AttributedCharacterIterator.Attribute[] attributes)`
  Gets the currently selected text from the text editing component.

- ## Uses of AttributedCharacterIterator.Attribute in java.text

  Subclasses of AttributedCharacterIterator.Attribute in java.text
  Modifier and Type
  Class
  Description
  `static class`
  `DateFormat.Field`
  Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `DateFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
  `static class`
  `Format.Field`
  Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `Format.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
  `static class`
  `MessageFormat.Field`
  Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `MessageFormat.formatToCharacterIterator`.
  `static class`
  `NumberFormat.Field`
  Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `NumberFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
  Fields in java.text declared as AttributedCharacterIterator.Attribute
  Modifier and Type
  Field
  Description
  `static final AttributedCharacterIterator.Attribute`
  AttributedCharacterIterator.Attribute.`INPUT_METHOD_SEGMENT`
  Attribute key for input method segments.
  `static final AttributedCharacterIterator.Attribute`
  AttributedCharacterIterator.Attribute.`LANGUAGE`
  Attribute key for the language of some text.
  `static final AttributedCharacterIterator.Attribute`
  AttributedCharacterIterator.Attribute.`READING`
  Attribute key for the reading of some text.
  Methods in java.text that return types with arguments of type AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `Set<AttributedCharacterIterator.Attribute>`
  AttributedCharacterIterator.`getAllAttributeKeys()`
  Returns the keys of all attributes defined on the iterator's text range.
  `Map<AttributedCharacterIterator.Attribute, Object>`
  AttributedCharacterIterator.`getAttributes()`
  Returns a map with the attributes defined on the current character.
  Methods in java.text with parameters of type AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `void`
  AttributedString.`addAttribute(AttributedCharacterIterator.Attribute attribute, Object value)`
  Adds an attribute to the entire string.
  `void`
  AttributedString.`addAttribute(AttributedCharacterIterator.Attribute attribute, Object value, int beginIndex, int endIndex)`
  Adds an attribute to a subrange of the string.
  `Object`
  AttributedCharacterIterator.`getAttribute(AttributedCharacterIterator.Attribute attribute)`
  Returns the value of the named `attribute` for the current character.
  `AttributedCharacterIterator`
  AttributedString.`getIterator(AttributedCharacterIterator.Attribute[] attributes)`
  Creates an AttributedCharacterIterator instance that provides access to selected contents of this string.
  `AttributedCharacterIterator`
  AttributedString.`getIterator(AttributedCharacterIterator.Attribute[] attributes, int beginIndex, int endIndex)`
  Creates an AttributedCharacterIterator instance that provides access to selected contents of this string.
  `int`
  AttributedCharacterIterator.`getRunLimit(AttributedCharacterIterator.Attribute attribute)`
  Returns the index of the first character following the run with respect to the given `attribute` containing the current character.
  `int`
  AttributedCharacterIterator.`getRunStart(AttributedCharacterIterator.Attribute attribute)`
  Returns the index of the first character of the run with respect to the given `attribute` containing the current character.
  Method parameters in java.text with type arguments of type AttributedCharacterIterator.Attribute
  Modifier and Type
  Method
  Description
  `void`
  AttributedString.`addAttributes(Map<? extends AttributedCharacterIterator.Attribute, ?> attributes, int beginIndex, int endIndex)`
  Adds a set of attributes to a subrange of the string.
  `int`
  AttributedCharacterIterator.`getRunLimit(Set<? extends AttributedCharacterIterator.Attribute> attributes)`
  Returns the index of the first character following the run with respect to the given `attributes` containing the current character.
  `int`
  AttributedCharacterIterator.`getRunStart(Set<? extends AttributedCharacterIterator.Attribute> attributes)`
  Returns the index of the first character of the run with respect to the given `attributes` containing the current character.
  Constructors in java.text with parameters of type AttributedCharacterIterator.Attribute
  Modifier
  Constructor
  Description
  ``
  `AttributedString(AttributedCharacterIterator text, int beginIndex, int endIndex, AttributedCharacterIterator.Attribute[] attributes)`
  Constructs an AttributedString instance with the subrange of the given attributed text represented by AttributedCharacterIterator.
  Constructor parameters in java.text with type arguments of type AttributedCharacterIterator.Attribute
  Modifier
  Constructor
  Description
  ``
  `AttributedString(String text, Map<? extends AttributedCharacterIterator.Attribute, ?> attributes)`
  Constructs an AttributedString instance with the given text and attributes.